com.genesyslab.wfm8.API.service.forecast810

## Class FrcScenarioInformation

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast810.FrcScenarioInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcScenarioInformation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<FrcActivity>` | `activities` Scenario Activities
    `protected int` | `activitiesArraySize` Activity array size
    `protected boolean` | `bOwn` Owner flag
    `protected java.lang.String` | `comments` Comments
    `protected double` | `dateCreated` Created date and time
    `protected double` | `dateModified` Last modified date and time
    `protected double` | `end` Scenario end date
    `protected java.lang.String` | `name` Scenario name
    `protected int` | `scenarioId` Scenario ID
    `private static long` | `serialVersionUID`
    `protected double` | `start` Scenario start date
    `protected int` | `status` Scenario status
    `protected int` | `type` Scenario type
    `protected java.lang.String` | `user` User

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcScenarioInformation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<FrcActivity>` | `getActivities()` Gets the activities value for this FrcScenarioInformation.
    `int` | `getActivitiesArraySize()` Gets the activitiesArraySize value for this FrcScenarioInformation.
    `java.lang.String` | `getComments()` Gets the comments value for this FrcScenarioInformation.
    `double` | `getDateCreated()` Gets the dateCreated value for this FrcScenarioInformation.
    `double` | `getDateModified()` Gets the dateModified value for this FrcScenarioInformation.
    `double` | `getEnd()` Gets the end value for this FrcScenarioInformation.
    `java.lang.String` | `getName()` Gets the name value for this FrcScenarioInformation.
    `int` | `getScenarioId()` Gets the scenarioId value for this FrcScenarioInformation.
    `double` | `getStart()` Gets the start value for this FrcScenarioInformation.
    `int` | `getStatus()` Gets the status value for this FrcScenarioInformation.
    `int` | `getType()` Gets the type value for this FrcScenarioInformation.
    `java.lang.String` | `getUser()` Gets the user value for this FrcScenarioInformation.
    `int` | `hashCode()`
    `boolean` | `isBOwn()` Gets the bOwn value for this FrcScenarioInformation.
    `void` | `setActivities(java.util.List<FrcActivity> activities)` Sets the activities value for this FrcScenarioInformation.
    `void` | `setActivitiesArraySize(int activitiesArraySize)` Sets the activitiesArraySize value for this FrcScenarioInformation.
    `void` | `setBOwn(boolean bOwn)` Sets the bOwn value for this FrcScenarioInformation.
    `void` | `setComments(java.lang.String comments)` Sets the comments value for this FrcScenarioInformation.
    `void` | `setDateCreated(double dateCreated)` Sets the dateCreated value for this FrcScenarioInformation.
    `void` | `setDateModified(double dateModified)` Sets the dateModified value for this FrcScenarioInformation.
    `void` | `setEnd(double end)` Sets the end value for this FrcScenarioInformation.
    `void` | `setName(java.lang.String name)` Sets the name value for this FrcScenarioInformation.
    `void` | `setScenarioId(int scenarioId)` Sets the scenarioId value for this FrcScenarioInformation.
    `void` | `setStart(double start)` Sets the start value for this FrcScenarioInformation.
    `void` | `setStatus(int status)` Sets the status value for this FrcScenarioInformation.
    `void` | `setType(int type)` Sets the type value for this FrcScenarioInformation.
    `void` | `setUser(java.lang.String user)` Sets the user value for this FrcScenarioInformation.
    `java.lang.String` | `toString()`
    `FrcScenarioInformation` | `withActivities(java.util.Collection<FrcActivity> values)`
    `FrcScenarioInformation` | `withActivities(FrcActivity... values)`
    `FrcScenarioInformation` | `withActivitiesArraySize(int value)`
    `FrcScenarioInformation` | `withBOwn(boolean value)`
    `FrcScenarioInformation` | `withComments(java.lang.String value)`
    `FrcScenarioInformation` | `withDateCreated(double value)`
    `FrcScenarioInformation` | `withDateModified(double value)`
    `FrcScenarioInformation` | `withEnd(double value)`
    `FrcScenarioInformation` | `withName(java.lang.String value)`
    `FrcScenarioInformation` | `withScenarioId(int value)`
    `FrcScenarioInformation` | `withStart(double value)`
    `FrcScenarioInformation` | `withStatus(int value)`
    `FrcScenarioInformation` | `withType(int value)`
    `FrcScenarioInformation` | `withUser(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### scenarioId

          protected int scenarioId

      Scenario ID

    - #### name

          protected java.lang.String name

      Scenario name

    - #### comments

          protected java.lang.String comments

      Comments

    - #### user

          protected java.lang.String user

      User

    - #### start

          protected double start

      Scenario start date

    - #### end

          protected double end

      Scenario end date

    - #### type

          protected int type

      Scenario type
      See Also:
        `EFrcScenarioTypes`

    - #### status

          protected int status

      Scenario status
      See Also:
        `EFrcScenarioStatuses`

    - #### bOwn

          protected boolean bOwn

      Owner flag

    - #### dateModified

          protected double dateModified

      Last modified date and time

    - #### dateCreated

          protected double dateCreated

      Created date and time

    - #### activitiesArraySize

          protected int activitiesArraySize

      Activity array size

    - #### activities

          protected java.util.List<FrcActivity> activities

      Scenario Activities

  - ### Constructor Detail

    - #### FrcScenarioInformation

          public FrcScenarioInformation()

  - ### Method Detail

    - #### getScenarioId

          public int getScenarioId()

      Gets the scenarioId value for this FrcScenarioInformation.
      Returns:
        scenarioId

    - #### setScenarioId

          public void setScenarioId(int scenarioId)

      Sets the scenarioId value for this FrcScenarioInformation.
      Parameters:
        `scenarioId` -

    - #### getName

          public java.lang.String getName()

      Gets the name value for this FrcScenarioInformation.
      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name value for this FrcScenarioInformation.
      Parameters:
        `name` -

    - #### getComments

          public java.lang.String getComments()

      Gets the comments value for this FrcScenarioInformation.
      Returns:
        comments

    - #### setComments

          public void setComments(java.lang.String comments)

      Sets the comments value for this FrcScenarioInformation.
      Parameters:
        `comments` -

    - #### getUser

          public java.lang.String getUser()

      Gets the user value for this FrcScenarioInformation.
      Returns:
        user

    - #### setUser

          public void setUser(java.lang.String user)

      Sets the user value for this FrcScenarioInformation.
      Parameters:
        `user` -

    - #### getStart

          public double getStart()

      Gets the start value for this FrcScenarioInformation.
      Returns:
        start

    - #### setStart

          public void setStart(double start)

      Sets the start value for this FrcScenarioInformation.
      Parameters:
        `start` -

    - #### getEnd

          public double getEnd()

      Gets the end value for this FrcScenarioInformation.
      Returns:
        end

    - #### setEnd

          public void setEnd(double end)

      Sets the end value for this FrcScenarioInformation.
      Parameters:
        `end` -

    - #### getType

          public int getType()

      Gets the type value for this FrcScenarioInformation.
      Returns:
        type

    - #### setType

          public void setType(int type)

      Sets the type value for this FrcScenarioInformation.
      Parameters:
        `type` -

    - #### getStatus

          public int getStatus()

      Gets the status value for this FrcScenarioInformation.
      Returns:
        status

    - #### setStatus

          public void setStatus(int status)

      Sets the status value for this FrcScenarioInformation.
      Parameters:
        `status` -

    - #### isBOwn

          public boolean isBOwn()

      Gets the bOwn value for this FrcScenarioInformation.
      Returns:
        bOwn

    - #### setBOwn

          public void setBOwn(boolean bOwn)

      Sets the bOwn value for this FrcScenarioInformation.
      Parameters:
        `bOwn` -

    - #### getDateModified

          public double getDateModified()

      Gets the dateModified value for this FrcScenarioInformation.
      Returns:
        dateModified

    - #### setDateModified

          public void setDateModified(double dateModified)

      Sets the dateModified value for this FrcScenarioInformation.
      Parameters:
        `dateModified` -

    - #### getDateCreated

          public double getDateCreated()

      Gets the dateCreated value for this FrcScenarioInformation.
      Returns:
        dateCreated

    - #### setDateCreated

          public void setDateCreated(double dateCreated)

      Sets the dateCreated value for this FrcScenarioInformation.
      Parameters:
        `dateCreated` -

    - #### getActivitiesArraySize

          public int getActivitiesArraySize()

      Gets the activitiesArraySize value for this FrcScenarioInformation.
      Returns:
        activitiesArraySize

    - #### setActivitiesArraySize

          public void setActivitiesArraySize(int activitiesArraySize)

      Sets the activitiesArraySize value for this FrcScenarioInformation.
      Parameters:
        `activitiesArraySize` -

    - #### getActivities

          public java.util.List<FrcActivity> getActivities()

      Gets the activities value for this FrcScenarioInformation.
      Returns:
        activities

    - #### setActivities

          public void setActivities(java.util.List<FrcActivity> activities)

      Sets the activities value for this FrcScenarioInformation.
      Parameters:
        `activities` -

    - #### withActivities

          public FrcScenarioInformation withActivities(java.util.Collection<FrcActivity> values)

    - #### withActivities

          public FrcScenarioInformation withActivities(FrcActivity... values)

    - #### withActivitiesArraySize

          public FrcScenarioInformation withActivitiesArraySize(int value)

    - #### withBOwn

          public FrcScenarioInformation withBOwn(boolean value)

    - #### withComments

          public FrcScenarioInformation withComments(java.lang.String value)

    - #### withDateCreated

          public FrcScenarioInformation withDateCreated(double value)

    - #### withDateModified

          public FrcScenarioInformation withDateModified(double value)

    - #### withScenarioId

          public FrcScenarioInformation withScenarioId(int value)

    - #### withStatus

          public FrcScenarioInformation withStatus(int value)

    - #### withType

          public FrcScenarioInformation withType(int value)

    - #### withStart

          public FrcScenarioInformation withStart(double value)

    - #### withEnd

          public FrcScenarioInformation withEnd(double value)

    - #### withName

          public FrcScenarioInformation withName(java.lang.String value)

    - #### withUser

          public FrcScenarioInformation withUser(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.